// SNDFE - [2020-06-22 11:41:46]
#ifndef _SNDFE_H_
#define _SNDFE_H_

#include "common.h"
#include "CFTTMusicPlayer.h"
/*
001D142C SNDFE_Init()
001D144C SNDFE_Music_Init()
001D146C SNDFE_Process()
001D1484 SNDFE_Music_Process(float)
001D158C SNDFE_Shutdown()
001D15A4 SNDFE_Music_Shutdown()
001D15DC SNDFE_IGM_Init()
001D15F8 SNDFE_Music_SetPlaylist(eAUDIO_MUSIC_PLAYLIST,int)
001D1684 SNDFE_IGM_Process()
001D169C SNDFE_IGM_Shutdown()
001D16A0 SNDFE_Music_GetPlaylist()
001D16B0 SNDFE_Music_GetCurrentPlaying()
001D16C0 SNDFE_Music_Paused()
001D16D0 SNDFE_Music_Pause(bool)
001D16F8 SNDFE_Music_UnPause()
001D1748 SNDFE_PlaySFX(int,float,float)
001D17D8 SNDFE_PlaySFXLoop(int,float,float)
001D1880 SNDFE_StopSFXLoop()
*/

enum eAUDIO_MUSIC_PLAYLIST {
  eAUDIO_MUSIC_PLAYLIST_0,
  eAUDIO_MUSIC_PLAYLIST_1,
  eAUDIO_MUSIC_PLAYLIST_2,
  eAUDIO_MUSIC_PLAYLIST_3,
  eAUDIO_MUSIC_PLAYLIST_4,
  eAUDIO_MUSIC_PLAYLIST_5,
};

// EAUDIO_MUSIC_PLAYLIST类型
extern int SNDFE_Music_eMode;

// 001D142C
void SNDFE_Init();

// 001D144C
void SNDFE_Music_Init();

// 001D146C
void SNDFE_Process();

// 001D1484
void SNDFE_Music_Process(float);

// 001D158C
void SNDFE_Shutdown();

// 001D15A4
void SNDFE_Music_Shutdown();

// 001D15DC
void SNDFE_IGM_Init();

// 001D15F8
void SNDFE_Music_SetPlaylist(eAUDIO_MUSIC_PLAYLIST eaudio_music_playlist_r0, int d_r1);

// 001D1684
void SNDFE_IGM_Process();

// 001D169C
void SNDFE_IGM_Shutdown();

// 001D16A0
int SNDFE_Music_GetPlaylist();

// 001D16B0
void SNDFE_Music_GetCurrentPlaying();

// 001D16C0
bool SNDFE_Music_Paused();

// 001D16D0
void SNDFE_Music_Pause(bool);

// 001D16F8
void SNDFE_Music_UnPause();

// 001D1748
void SNDFE_PlaySFX(int d_r0, float f_r1, float f_r2);

// 001D17D8
void SNDFE_PlaySFXLoop(int, float, float);

// 001D1880
void SNDFE_StopSFXLoop();

extern CFTTMusicPlayer* SNDFE_Music_pSource;
#endif  //_SNDFE_H_